@import "main.css";

h1 {
	font-size: 30px;
}

h3 {
	margin-top: 80px;
	font-variant: small-caps;
}

/*h3:after {
	display: none;
	background-color: #dfd;
	content: "#";
}*/

/*h3:hover:after {
	display: inline-block;
}*/

h4 {
	margin-top: 50px;
}

/*h5 {
	font-size: inherit;
}*/

/*h3, h4, h5 {*/
/*	text-shadow: 0 0 1px black;*/
/*}*/

ul {
	list-style-type: square;
	/*overflow: auto;*/
	width: 100%;
}

ol {
	list-style: none;
}

li > ol {
	padding-left: 30px;
}

div > ol > li > a {
	font-size: larger;
	text-decoration: underline;
}

li {
	margin: 10px auto;
}

li > a {
	text-decoration: none;
}

/*a.download-link {*/
/*	display: block;*/
/*	padding: 10px 0;*/
/*	outline: none;*/
/*}*/

input {
	font: inherit;
}

/*input[type="text"], input[type="email"], textarea {
	
	border-radius: 4px;
}*/

input, select, textarea {
	padding: 4px;
	background: white;
	border: 1px solid #aaa;
	border-radius: 4px;
	font: inherit;
	outline: none;
}

input[type="submit"] {
	padding: 10px 20px;
	background: #333;
	background: linear-gradient(crimson, #333);
	color: white;
	outline: none;
}

input[type="submit"]:hover {
	background: crimson;
	background: linear-gradient(purple, #333);
}

input[type="submit"]:active {
	background: linear-gradient(#333, purple);
}
/**/
/*table {*/
/*	border-collapse: collapse;*/
/*}*/
/**/
/*tbody.downloads {*/
/*	border: 1px solid #aaa;*/
/*}*/
/**/
/*tbody.downloads tr:nth-child(odd) {*/
/*	background: #eee;*/
/*}*/
/**/
/*tbody.downloads tr:hover {*/
/*	background: #ffffaa;*/
/*}*/

div[downloads] {
	display: flex;
	flex-wrap: wrap;
	/*justify-content: space-between;*/
	width: 100%;
	text-decoration: none !important;
}

div[downloads] > a {
	padding: 10px;
	margin: 5px 10px 5px 0;
	border: 1px solid #ccc;
	border-radius: 4px;
	width: 240px;
	text-decoration: none;
}

div[downloads] > a:hover {
	background: #ffc;
	border: 1px solid crimson;
}

div[downloads] > a > div:not(:first-child) {
	font-size: smaller;
	color: black;
}

.anchor {
	position: relative;
	top: -80px
}

code {
	background: #eee;
	background: linear-gradient(#fff, #ccc);
	padding: 0 4px;
	border: 1px solid lightgrey;
	word-wrap: break-word;
}

code, .code-block, .note, .note-warning, .note-critical {
	border-radius: 3px;
}

.code-block {
	display: block;
	padding : 10px;
	margin: 8px 0;
	border: 1px solid grey;
	background: linear-gradient(#fff, #ccc);
	white-space: pre;
	overflow-x: auto;
	font-family: monospace;
	-webkit-tab-size: 4;
	-moz-tab-size: 4;
	-ms-tab-size: 4;
	tab-size: 4;
}

.note {
	background: #dfd;
	padding: 10px;
	border-left: 10px solid #080;
	border-right: 10px solid #080;
}

.note-warning {
	background: #ffd;
	padding: 10px;
	border-left: 10px solid gold;
	border-right: 10px solid gold;
}

.note-critical {
	background: #fee;
	padding: 10px;
	border-left: 10px solid #800;
	border-right: 10px solid #800;
}

div#content-container > div, li > div, li > div > div {
	margin: 20px 0;
	line-height: 1.4;
}

.screenshot {
	width: 100%
}

@media screen and (max-width: 800px) {
	table#contact-form tr td {
		display: block;
		width: 100% !important;
	}
}

#print-header {
	display: none;
	font-size: 30px;
	font-weight: bold;
}